//
//    Compare Products Page
//--------------------------------------

& when (@media-target = 'mobile'){
    body.catalog-product-compare-index {
        .action.print {
            float: right;
            margin: 8px 0;
        }
        .table-caption{
            display: none;
        }
    }

    .table-wrapper.comparison {
        clear: both;
        max-width: 100%;
        overflow-x: auto;
        .table-comparison > tbody > tr{
            border-right: 1px solid @color-border-color;
            > th,
            > td {
                border-top: 0;
            }
        }
        td{
            @media (max-width: @screen__m){
                border-bottom: 0;
                display: table-cell;
                padding: 0;

                &.product:before{
                    display: none;
                }
            }
        }
    }

    table#product-comparison {
        table-layout: fixed;

        thead tr{
            border-right: 1px solid @color-border-color;
        }
        thead tr th,
        thead tr td{
            border-top: none;
            border-bottom: none;
            border-left: none;
            span {
                display: none;
            }
        }

        tbody tr:nth-child(odd){
            background: transparent;
        }
        tbody tr{
            border-bottom: 1px solid @color-border-color;
            &:last-child{
                border-bottom: none;
            }

            th.label{
                font-size: 14px;
                line-height: 16px;
                font-weight: 700;
                color: @color-text-light;
            }
        }

        .cell{
            width: 200px;
            padding: 8px;
            font-size: 1.15rem;
            .attibute.value {
                width: 100%;
                overflow: hidden;
            }

            &.product.info,
            &.product.label {
                border-bottom: 1px solid @color-border-color;
            }
            &.label.product span{
                display: none;
            }
            &.label {
                width: 120px;
                .attribute.label {
                    display: block;
                    width: 100%;
                    word-wrap: break-word;
                }
            }
            &.attribute {
                img {
                    max-width: 100%;
                    height: auto;
                }
            }
            &.remove {
                padding-top: 0;
                padding-bottom: 0;
                text-align: right;
            }
        }

        .product-item-photo {
            display: block;
            margin: 0 auto 8px;
        }
        .product-image-photo {
            margin-left: 0;
        }

        .product-item-name a{
            font-size: 14px;
            line-height: 18px;
            color: @color-text-light;
            &:hover{
                color: @color-primary;
            }
        }

        .product-reviews-summary{
            display: flex;
            align-items: flex-end;
            margin-bottom: 4px;

            .label{
                display: none;
            }
            .rating-summary{
                padding-right: 8px;
                line-height: 18px;
            }
            .reviews-actions{
                font-size: 12px;
                line-height: 29px;
            }
        }

        .price-box{
            font-size: 20px;
            line-height: 24px;
            color: @color-text-light;
            font-weight: 700;
            margin-bottom: 12px;
        }

        .product-item-actions{
            display: flex;

            .actions-primary{
                padding-right: 8px;
            }

            .tocart{
                width: 50px;
                height: 50px;
                border-radius: 50px;
                padding: 4px;
                text-align: center;
                margin-bottom: 0;
                vertical-align: text-bottom;
            }
            .tocart span{
                display: none;
            }

            .towishlist{
                background-color: transparent;
                font-size: 14px;
                line-height: 48px;
                color: @color-text-lightest;
                display: block;
                width: 50px;
                height: 50px;
                border-radius: 50px;
                border: 1px solid @color-bg-dark;
                background: @color-bg-dark;
                text-align: center;
                vertical-align: text-bottom;
                &:hover{
                    color: @color-primary;
                    background: @color-white;
                    border-color: #dedede;
                }
            }
        }

        .price-box,
        .product.rating,
        .product-item-name {
            display: block;
        }

        .product-item-actions > .actions-primary + .actions-secondary{
            display: block;
            margin-top: 0;
            padding-left: 0;
        }
    }

    .comparison.headings {
        position: absolute;
        z-index: 2;
        top: 0;
        left: 0;
        width: auto;
        display: none;
    }
}
